<?xml version="1.0" encoding="UTF-8"?>

<!--
Licensed Materials - Property of IBM
(c) Copyright IBM Corporation 2008. All Rights Reserved.

Note to U.S. Government Users Restricted Rights:
Use, duplication or disclosure restricted by GSA ADP Schedule
Contract with IBM Corp. 
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:crn="http://developer.cognos.com/schemas/crconfig/1/" xmlns:cfg="http://developer.cognos.com/schemas/configparams/XMLSchema/1/">

	<!-- copy all other elements -->
	<xsl:output method="xml" version="1.0" indent="yes" encoding="UTF-8"/>

	<!-- copy everything -->
	<xsl:template match="*|@*|text()|processing-instruction()|comment()">
		<xsl:copy><xsl:apply-templates select="*|@*|text()|processing-instruction()|comment()"/></xsl:copy>
	</xsl:template>

	<!-- Remove the IBM Cognos Bootstrap Service for Tomact and all associated properties-->
	<xsl:template match="/crn:parameters/crn:parameter[@name = 'CBS']/crn:value/crn:instances[@name='cbs']">
		<!-- Remove the cbs branch -->
	</xsl:template>
	
	<!-- Gateway URI -->
	<xsl:template match="/crn:parameters/crn:parameter[@name='gateway']/crn:value">
		<xsl:copy><xsl:apply-templates select="@*"/>http://localhost:[WAS_PORT]/insight/servlet/dispatch</xsl:copy>
	</xsl:template>
	
	<!-- Gateway dispatcher URI -->
	<xsl:template match="/crn:parameters/crn:parameter[@name='gatewayDispatcherURIList']/crn:value/crn:item">
		<xsl:copy><xsl:apply-templates select="@*"/>http://localhost:[WAS_PORT]/insight/servlet/dispatch/ext</xsl:copy>
	</xsl:template>
	
	<!-- External dispatcher URI -->
	<xsl:template match="/crn:parameters/crn:parameter[@name='externalDispatcher']/crn:value">
		<xsl:copy><xsl:apply-templates select="@*"/>http://localhost:[WAS_PORT]/insight/servlet/dispatch</xsl:copy>
	</xsl:template>
	
	<!-- Internal dispatcher URI -->
	<xsl:template match="/crn:parameters/crn:parameter[@name='internalDispatcher']/crn:value">
		<xsl:copy><xsl:apply-templates select="@*"/>http://localhost:[WAS_PORT]/insight/servlet/dispatch</xsl:copy>
	</xsl:template>
	
	<!-- SDK URI -->
	<xsl:template match="/crn:parameters/crn:parameter[@name='sdk']/crn:value">
		<xsl:copy><xsl:apply-templates select="@*"/>http://localhost:[WAS_PORT]/insight/servlet/dispatch</xsl:copy>
	</xsl:template>
	
	<!-- Content manager URI -->
	<xsl:template match="/crn:parameters/crn:parameter[@name='contentManagers']/crn:value/crn:item">
		<xsl:copy><xsl:apply-templates select="@*"/>http://localhost:[WAS_PORT]/insight/servlet</xsl:copy>
	</xsl:template>
	
	<!-- applications.xml -->
	<xsl:template match="/crn:parameters/crn:parameter[@name='CPS']/crn:value/crn:parameter[@name='applications']/crn:value">
		<xsl:copy><xsl:apply-templates select="@*"/>http://localhost:[WAS_PORT]/samples/cps4/applications.xml</xsl:copy>
	</xsl:template>
	
</xsl:stylesheet>
