#!/bin/ksh
#*******************************************************************************
#* Licensed Materials - Property of IBM
#* (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
#* 
#* Note to U.S. Government Users Restricted Rights:
#* Use, duplication or disclosure restricted by GSA ADP Schedule
#* Contract with IBM Corp. 
#*******************************************************************************

export C8SE_scripts=$PWD
export C8SE_logfile=$C8SE_scripts/C8SE_install.log
date >> "$C8SE_logfile"
echo Running IBM WebSphere Express configuration script >> "$C8SE_logfile"

#########################################
# Installation properties
#########################################
export C8SE_WAS_ServerName=[VEGA_WAS_ServerName]
export C8SE_WAS_Dst=[VEGA_WAS_Dst]
export C8SE_C8_Dst=[VEGA_C8_Dst]
export INSIGHT_PROFILE_NAME=[INSIGHT_PROFILE_NAME]

#########################################
# Build the p2pd application file
#########################################
echo Running the p2pd build application script >> "$C8SE_logfile"
cd "$C8SE_C8_Dst/war/p2pd"
"$C8SE_WAS_Dst/java/jre/bin/java" -classpath "$C8SE_C8_Dst/bin/ant.jar:$C8SE_C8_Dst/bin/xml-apis.jar:$C8SE_C8_Dst/bin/xercesImpl.jar" -Dcontext_root=insight org.apache.tools.ant.Main ear >> "$C8SE_logfile" 2>>1
cd "$C8SE_scripts"

#########################################
# Copy the Java Security Provider Files to the proper location from c8/bin/jre/version/lib/ext/bcprov-jdk13-125.jar
#########################################
echo Copy bcprov-jdk14-134.jar to the Java ext folder >> "$C8SE_logfile"
cp "$C8SE_C8_Dst/bin/jre/1.5.0/lib/ext/bcprov-jdk14-134.jar" "$C8SE_WAS_Dst/java/jre/lib/ext/bcprov-jdk14-134.jar" >> "$C8SE_logfile"

#########################################
# Sets up the environment for wsadmin
#########################################
echo Calling "$C8SE_WAS_Dst/bin/setupCmdLine.sh" >> "$C8SE_logfile"
"$C8SE_WAS_Dst/bin/setupCmdLine.sh"

#########################################
# run the wsadmin script to:
#	create a server instance
#	set memory and java options
#	set env vars
#	deploy application file
#########################################
echo wsadmin Command: "$C8SE_WAS_Dst/bin/wsadmin.sh" -profileName $INSIGHT_PROFILE_NAME -f "$C8SE_scripts/C8SE_config_WAS-61.jacl" >> "$C8SE_logfile"
echo wsadmin Command: "$C8SE_WAS_Dst/bin/wsadmin.sh" -profileName $INSIGHT_PROFILE_NAME -f "$C8SE_scripts/C8SE_config_WAS-61_linux_only.jacl" >> "$C8SE_logfile"
cd "$C8SE_WAS_Dst/bin"
"$C8SE_WAS_Dst/bin/startServer.sh" $C8SE_WAS_ServerName >> "$C8SE_logfile"
"$C8SE_WAS_Dst/bin/wsadmin.sh" -profileName $INSIGHT_PROFILE_NAME -f "$C8SE_scripts/C8SE_config_WAS-61_linux_only.jacl" >> "$C8SE_logfile"
"$C8SE_WAS_Dst/bin/stopServer.sh" $C8SE_WAS_ServerName >> "$C8SE_logfile"
cd "$C8SE_scripts"

#########################################
# Clean up
#########################################
echo Removing "$C8SE_C8_Dst/p2pd.ear" >> "$C8SE_logfile"
rm -rf "$C8SE_C8_Dst/p2pd.ear" >> "$C8SE_logfile"

echo Exiting IBM WebSphere Express configuration script >> "$C8SE_logfile"
